module One
  module Backup
    class HapyDisk
        attr_reader :id,:source,:path
        def initialize(dsk)
            @id = dsk["DISK_ID"].to_i
            @imageID = dsk["IMAGE_ID"]
            @imageName = dsk["IMAGE"]
            @source = dsk["SOURCE"]
            @datastore = dsk["DATASTORE"]
            @persistent = dsk["PERSISTENT"]
        end
    
        def is_persistent?()
            if @persistent == "YES"
                return true
            end
            return false
        end
    
        def show()
            puts("   Disk ID : #{@id}")
            puts("  Image ID : #{@imageID}")
            puts("Image Name : #{@imageName}")
            puts(" Datastore : #{@datastore}")
            puts("    Source : #{@source}")
        end
    end
  end
end